Package com.sas.services.util

# Enum Class WaitPolicy.TYPE

java.lang.Object
java.lang.Enum<WaitPolicy.TYPE>
com.sas.services.util.WaitPolicy.TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<WaitPolicy.TYPE>`, `java.lang.constant.Constable`

Enclosing class:
  `WaitPolicy`

public static enum WaitPolicy.TYPE extends Enum<WaitPolicy.TYPE>
The "type" of wait. See the description for each of the enum values for their impact on the wait policy.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FINITE`
  Waiting is specified.
  `INFINITE`
  Waiting is specified.
  `NONE`
  No waiting is specified.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WaitPolicy.TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WaitPolicy.TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final WaitPolicy.TYPE NONE
    No waiting is specified. Values supplied for the intervals and the total wait are ignored.

  - ### FINITE

    public static final WaitPolicy.TYPE FINITE
    Waiting is specified. The various parameters define the waiting model and the total time waited is finite and limited by the total wait time value.

  - ### INFINITE

    public static final WaitPolicy.TYPE INFINITE
    Waiting is specified. The various parameters define the waiting model and the total time waited is not limited by the total wait time value (which is ignored).

- ## Method Details

  - ### values

    public static WaitPolicy.TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WaitPolicy.TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null